Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> CGI abuses >> Xerver < 4.20 Multiple Vulnerabilities


Vulnerability Assessment Details

Xerver < 4.20 Multiple Vulnerabilities

Vulnerability Assessment Summary
Checks for multiple vulnerabilities in Xerver < 4.20

Detailed Explanation for this Vulnerability Assessment

Summary :

The remote web server is affected by multiple flaws.

Description :

The remote host is running Xerver, an open-source FTP and web server
written in Java.

The version of Xerver installed on the remote host suffers from
several vulnerabilities that can be used by a possible hacker to reveal the
contents of directories as well as the source of scripts and HTML
pages. In addition, it is prone to a generic cross-site scripting
flaw.

See also :

http://securitytracker.com/alerts/2005/Oct/1015079.html

Solution :

Upgrade to Xerver 4.20 or later as that is rumoured to address the
issue.

Network Security Threat Level:

Low / CVSS Base Score : 1.9
(AV:R/AC:H/Au:NR/C:N/I:P/A:N/B:N)

Networks Security ID: 15135

Vulnerability Assessment Copyright: This script is Copyright (C) 2005-2007 Tenable Network Security

Cables, Connectors

Lot of 17 Cisco Aironet 1130 AG Wireless Access Point AIR-LAP1131AG-A-K9 LAN
$89.99
Lot of 17 Cisco Aironet 1130 AG Wireless Access Point AIR-LAP1131AG-A-K9 LAN  pictureCisco PVDM3-256 256-channel High-Density Voice DSP Module
$310.0
Cisco PVDM3-256 256-channel High-Density Voice DSP Module pictureCisco CCNA Routing & Switching 200-120 (Part1,2,3,4) 4 DVDs + Network Simulator
$19.99
Cisco CCNA Routing & Switching 200-120 (Part1,2,3,4) 4 DVDs + Network Simulator picture2X Cisco 2801, includes wic1adsl - vic2 2fx0 - vic2 2fxo - hwic 4esw
$12.0
2X Cisco 2801, includes wic1adsl - vic2 2fx0 - vic2 2fxo - hwic 4esw picture


Discussions

No Discussions have been posted on this vulnerability.